## com.baidubce.services.vod.model
Class ListMediaResourceRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.vod.model.ListMediaResourceRequest

    public class ListMediaResourceRequest

extends AbstractBceRequest

List the properties of all media resource managed by VOD service.

Constructor Summary
`ListMediaResourceRequest()`

Method Summary
`AbstractBceRequest` `withRequestCredentials(BceCredentials credentials)`

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListMediaResourceRequest

    public ListMediaResourceRequest()

Method Detail

### withRequestCredentials

    public AbstractBceRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

Copyright © 2016. All rights reserved.